Index: issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-eric.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-eric.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-eric.sh	(revision 12332)
@@ -9,4 +9,7 @@
 	mkdir install src
 
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
+
 	#Untar and move petsc to install directory
 	tar -zxvf  petsc-2.3.2-p3.tar.gz
@@ -17,8 +20,8 @@
 	cd install
 	./config/configure.py  \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-		--with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+		--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 		--PETSC_ARCH=macosx-gnu \
-		--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/install" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-fc=/usr/local/bin/gfortran \
 		--with-debugging=0 \
@@ -29,5 +32,5 @@
 		--download-blas=yes \
 		--download-f-blas-lapack=yes \
-		--FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -L$ISSM_TIER/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran  -fPIC -arch i386" \
+		--FFLAGS="-I$ISSM_DIR/externalpackages/mpich2/install/include -L$ISSM_DIR/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran  -fPIC -arch i386" \
 		--download-plapack=yes \
 		--CXXFLAGS=" -fPIC -arch i386" \
@@ -43,17 +46,17 @@
 	cd install
 	./config/configure.py  \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-		--with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+		--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 		--PETSC_ARCH=macosx-gnu \
-		--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/install" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-fc=/usr/local/bin/gfortran \
 		--with-debugging=0 \
 		--with-shared=0 \
-		--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/externalpackages/MUMPS_4.6.3  \
+		--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/externalpackages/MUMPS_4.6.3  \
 		--download-scalapack=yes \
 		--download-blacs=yes \
 		--download-blas=yes \
 		--download-f-blas-lapack=yes \
-		--FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -L$ISSM_TIER/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran  -fPIC -arch i386" \
+		--FFLAGS="-I$ISSM_DIR/externalpackages/mpich2/install/include -L$ISSM_DIR/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran  -fPIC -arch i386" \
 		--download-plapack=yes \
 		--CXXFLAGS=" -fPIC -arch i386" \
Index: issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-ogive.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-ogive.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-macosx32-ogive.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-2.3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -12,8 +15,8 @@
 #configure
 cd install
-./config/configure.py  --prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+./config/configure.py  --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 	--PETSC_ARCH=macosx-gnu \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/install" \
 	--with-fc=/usr/local/bin/gfortran \
 	--with-debugging=0 \
@@ -24,5 +27,5 @@
 	--download-blas=yes \
 	--download-f-blas-lapack=yes \
-	--FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -L$ISSM_TIER/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran" \
+	--FFLAGS="-I$ISSM_DIR/externalpackages/mpich2/install/include -L$ISSM_DIR/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran" \
 	--download-plapack=yes
 
Index: issm/trunk/externalpackages/petsc/install-2.3.2-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-macosx64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-2.3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,8 +16,8 @@
 cd src
 ./config/configure.py \
-  --prefix="$ISSM_TIER/externalpackages/petsc/install" \
-  --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+  --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+  --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
   --PETSC_ARCH=macosx-gnu \
-  --with-mpi-dir="$ISSM_TIER/externalpackages/mpich2/install" \
+  --with-mpi-dir="$ISSM_DIR/externalpackages/mpich2/install" \
   --with-debugging=0 \
   --with-shared-libraries=0 \
Index: issm/trunk/externalpackages/petsc/install-2.3.2-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-pleiades.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-pleiades.sh	(revision 12332)
@@ -9,4 +9,7 @@
 	mkdir install src
 
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
+
 	#Untar and move petsc to install directory
 	tar -zxvf  petsc-2.3.2-p3.tar.gz
@@ -17,5 +20,5 @@
 	cd install
 	./config/configure.py  \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--PETSC_ARCH=$ISSM_ARCH \
@@ -44,5 +47,5 @@
 	cd install
 	./config/configure.py  \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--PETSC_ARCH=$ISSM_ARCH \
Index: issm/trunk/externalpackages/petsc/install-2.3.2-win32-eric.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-win32-eric.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-win32-eric.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-2.3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -14,7 +17,7 @@
 ./config/configure.py  \
 	--with-parallel-no \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	--PETSC_ARCH=cygwin-intel \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/install" \
 	--with-debugging=0 \
 	--with-mpi=0 \
Index: issm/trunk/externalpackages/petsc/install-2.3.2-win7.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-2.3.2-win7.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-2.3.2-win7.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-2.3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-2.3.2-p3.tar.gz' 'petsc-2.3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -14,7 +17,7 @@
 ./config/configure.py  \
 	--with-parallel-no \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	--PETSC_ARCH=cygwin-intel \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/install" \
 	--with-debugging=0 \
 	--with-mpi=0 \
Index: issm/trunk/externalpackages/petsc/install-3.1-altix64-castor.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-altix64-castor.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.1-altix64-castor.sh	(revision 12332)
@@ -9,4 +9,7 @@
 	mkdir install src
 
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
+
 	#Untar and move petsc to install directory
 	tar -zxvf  petsc-3.1-p7.tar.gz
@@ -17,6 +20,6 @@
 	cd src
 	./config/configure.py \
-	  --prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	  --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	  --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	  --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	  --ISSM_ARCH=$ISSM_ARCH \
 	  --with-debugging=no \
@@ -41,6 +44,6 @@
 	cd src
 	./config/configure.py \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-		--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 		--with-batch=1  \
 		--ISSM_ARCH=$ISSM_ARCH \
Index: issm/trunk/externalpackages/petsc/install-3.1-cosmos.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-cosmos.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.1-cosmos.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.1-p7 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,6 +16,6 @@
 cd src
 ./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-batch=1  \
 	--ISSM_ARCH=$ISSM_ARCH \
Index: issm/trunk/externalpackages/petsc/install-3.1-linux64-astrid.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-linux64-astrid.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.1-linux64-astrid.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.1-p7 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,8 +16,8 @@
 cd src
 ./config/configure.py \
- --prefix="$ISSM_TIER/externalpackages/petsc/install" \
- --with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+ --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+ --with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
  --PETSC_ARCH=linux-gnu-amd64 \
- --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+ --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
  --with-debugging=0 \
  --with-shared=0 \
@@ -25,5 +28,5 @@
  --download-f-blas-lapack=yes \
  --download-parmetis=yes \
- --FFLAGS=-I$ISSM_TIER/externalpackages/mpich2/install/include \
+ --FFLAGS=-I$ISSM_DIR/externalpackages/mpich2/install/include \
  --download-plapack=yes \
  --COPTFLAGS="-march=opteron -O2" \
Index: issm/trunk/externalpackages/petsc/install-3.1-macosx32-mathieu.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-macosx32-mathieu.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.1-macosx32-mathieu.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.1-p7 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,8 +16,8 @@
 cd src
 ./config/configure.py  \
- --prefix="$ISSM_TIER/externalpackages/petsc/install" \
- --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+ --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+ --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
  --PETSC_ARCH=macosx-gnu \
- --with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+ --with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
  --with-debugging=0 \
  --with-shared=0 \
@@ -25,5 +28,5 @@
  --download-f-blas-lapack=yes \
  --download-plapack=yes \
- --FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -arch i386" \
+ --FFLAGS="-I$ISSM_DIR/externalpackages/mpich2/install/include -arch i386" \
  --COPTFLAGS="-march=opteron -O2 -arch i386" \
  --FOPTFLAGS="-march=opteron -O2 -arch i386" \
Index: issm/trunk/externalpackages/petsc/install-3.1-macosx32-ogive.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-macosx32-ogive.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.1-macosx32-ogive.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.1-p7 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,7 +16,7 @@
 cd src
 ./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
-	--with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 	--PETSC_ARCH=macosx-gnu \
 	--with-fc=/usr/local/bin/gfortran \
@@ -30,5 +33,5 @@
 	--FOPTFLAGS="-march=opteron -O2 " \
 	--CXXOPTFLAGS="-march=opteron -O2 " \
-	--FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -L$ISSM_TIER/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran " 
+	--FFLAGS="-I$ISSM_DIR/externalpackages/mpich2/install/include -L$ISSM_DIR/externalpackages/mpich2/install/lib -L/usr/local/bin -lmpich -lpmpich -lgfortran " 
 
 #Compile petsc and install it
Index: issm/trunk/externalpackages/petsc/install-3.1-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-pleiades.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.1-pleiades.sh	(revision 12332)
@@ -9,4 +9,7 @@
 	mkdir install src
 
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
+
 	#Untar and move petsc to install directory
 	tar -zxvf  petsc-3.1-p7.tar.gz
@@ -17,8 +20,8 @@
 	cd src
 	./config/configure.py \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--PETSC_ARCH="$ISSM_ARCH" \
-		--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 		--with-debugging=no \
 		--with-shared=0 \
@@ -44,8 +47,8 @@
 	cd src
 	./config/configure.py \
-	 --prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	 --prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	 --with-batch=1  \
 	 --PETSC_ARCH="$ISSM_ARCH" \
-	 --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	 --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	 --with-debugging=no \
 	 --with-shared=0 \
@@ -57,5 +60,5 @@
 	 --download-scalapack=yes \
 	 --download-blacs=yes  \
-	 --with-plapack-dir=$ISSM_TIER/externalpackages/petsc/src/$ISSM_ARCH \
+	 --with-plapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
 	 --download-parmetis=yes \
 	 --FFLAGS=-I/usr/include \
Index: issm/trunk/externalpackages/petsc/install-3.1-ubuntu64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-ubuntu64.sh	(revision 12332)
+++ issm/trunk/externalpackages/petsc/install-3.1-ubuntu64.sh	(revision 12332)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install petsc-3.1-p7 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.1-p7.tar.gz
+mv petsc-3.1-p7/* src/
+rm -rf petsc-3.1-p7
+
+#configure
+cd src
+./config/configure.py \
+ --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+ --with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
+ --PETSC_ARCH=linux-gnu\
+ --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+ --with-debugging=0 \
+ --with-shared=0 \
+ --download-mumps=yes \
+ --download-scalapack=yes \
+ --download-blacs=yes \
+ --download-blas=yes \
+ --download-f-blas-lapack=yes \
+ --download-parmetis=yes \
+ --FFLAGS=-I$ISSM_DIR/externalpackages/mpich2/install/include \
+ --download-plapack=yes \
+ --COPTFLAGS="-O2" \
+ --FOPTFLAGS="-O2" \
+ --CXXOPTFLAGS="-O2" \
+ --with-pic=1
+
+#Compile petsc and install it
+make
+make install
Index: issm/trunk/externalpackages/petsc/install-3.1-win7.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.1-win7.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.1-win7.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.1-p7 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.1-p7.tar.gz' 'petsc-3.1-p7.tar.gz'
 
 #Untar and move petsc to install directory
@@ -14,7 +17,7 @@
 ./config/configure.py  \
 	--with-parallel-no \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	--PETSC_ARCH=cygwin-intel \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
 	--with-mpi=0 \
@@ -26,8 +29,8 @@
 
 #./config/configure.py  \
-# --prefix="$ISSM_TIER/externalpackages/petsc/install" \
-# --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+# --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+# --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 # --PETSC_ARCH=macosx-gnu \
-# --with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+# --with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 # --with-debugging=0 \
 # --with-shared=0 \
@@ -38,5 +41,5 @@
 # --download-f-blas-lapack=yes \
 # --download-plapack=yes \
-# --FFLAGS="-I$ISSM_TIER/externalpackages/mpich2/install/include -arch i386" \
+# --FFLAGS="-I$ISSM_DIR/externalpackages/mpich2/install/include -arch i386" \
 # --COPTFLAGS="-march=opteron -O2 -arch i386" \
 # --FOPTFLAGS="-march=opteron -O2 -arch i386" \
Index: issm/trunk/externalpackages/petsc/install-3.2-discover.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-discover.sh	(revision 12332)
+++ issm/trunk/externalpackages/petsc/install-3.2-discover.sh	(revision 12332)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install petsc-3.2-p3 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.2-p3.tar.gz
+mv petsc-3.2-p3/* src/
+rm -rf petsc-3.2-p3
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--PETSC_ARCH="$ISSM_ARCH" \
+	--with-batch=1 \
+	--with-debugging=0 \
+	--with-shared-libraries=0 \
+	--known-mpi-shared-libraries=1 \
+	--with-mpi-dir=/usr/local/intel/mpi/3.2.2.006/lib64 \
+	--with-blas-lapack-dir=/usr/local/intel/mkl/10.1.2.024/lib/64/ \
+	--download-mumps=yes \
+	--download-scalapack=yes \
+	--download-blacs=yes \
+	--download-plapack=yes \
+	--download-parmetis=yes \
+	--with-pic=1
+
+echo "== Follow PETSc's instructions"
Index: issm/trunk/externalpackages/petsc/install-3.2-greenplanet.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-greenplanet.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.2-greenplanet.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,6 +16,6 @@
 cd src
 ./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--PETSC_ARCH="$ISSM_ARCH" \
 	--with-batch=1 \
Index: issm/trunk/externalpackages/petsc/install-3.2-linux64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.2-linux64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,9 +16,9 @@
 cd src
 ./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--with-mpi-dir=$ISSM_TIER/externalpackages/mpich2/install \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir=$ISSM_DIR/externalpackages/mpich2/install \
 	--with-clanguage=C++ \
 	--PETSC_ARCH=linux-gnu-amd64 \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
 	--with-shared-libraries=0 \
Index: issm/trunk/externalpackages/petsc/install-3.2-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-macosx64.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.2-macosx64.sh	(revision 12332)
@@ -4,4 +4,7 @@
 rm -rf install petsc-3.2-p3 src
 mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
 
 #Untar and move petsc to install directory
@@ -13,8 +16,8 @@
 cd src
 ./config/configure.py \
-  --prefix="$ISSM_TIER/externalpackages/petsc/install" \
-  --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+  --prefix="$ISSM_DIR/externalpackages/petsc/install" \
+  --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
   --PETSC_ARCH=macosx-gnu \
-  --with-mpi-dir="$ISSM_TIER/externalpackages/mpich2/install" \
+  --with-mpi-dir="$ISSM_DIR/externalpackages/mpich2/install" \
   --with-debugging=0 \
   --with-shared-libraries=0 \
Index: issm/trunk/externalpackages/petsc/install-3.2-pleiades.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-pleiades.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-3.2-pleiades.sh	(revision 12332)
@@ -2,5 +2,5 @@
 #Step 1: unzip and install
 #Step 2: After Plapack implodes
-STEP=2
+STEP=1
 
 if [ $STEP -eq 1 ]; then
@@ -8,4 +8,7 @@
 	rm -rf install petsc-3.2-p3 src
 	mkdir install src
+
+	#Download from ISSM server
+	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
 
 	#Untar and move petsc to install directory
@@ -17,8 +20,8 @@
 	cd src
 	./config/configure.py \
-		--prefix="$ISSM_TIER/externalpackages/petsc/install" \
+		--prefix="$ISSM_DIR/externalpackages/petsc/install" \
 		--with-batch=1  \
 		--PETSC_ARCH="$ISSM_ARCH" \
-		--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+		--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 		--with-debugging=0 \
 		--with-shared-libraries=0 \
@@ -38,5 +41,5 @@
 		--CXXOPTFLAGS=" -O3 -xS" \
 		--with-pic=1
-	echo "== Fix Plapack compilation manually (http://issm.jpl.nasa.gov/installation/compilationtroubleshooting/petsc31/) =="
+	echo "== Fix Plapack compilation manually (http://issm.jpl.nasa.gov/documentation/faq/petsc32/) =="
 	echo "== Then run STEP=2 =="
 fi
@@ -44,8 +47,8 @@
 	cd src
 	./config/configure.py \
-	 --prefix="$ISSM_TIER/externalpackages/petsc/install" \
+	 --prefix="$ISSM_DIR/externalpackages/petsc/install" \
 	 --with-batch=1  \
 	 --PETSC_ARCH="$ISSM_ARCH" \
-	 --PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	 --PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	 --with-debugging=0 \
 	 --with-shared-libraries=0 \
@@ -57,5 +60,5 @@
 	 --download-scalapack=yes \
 	 --download-blacs=yes  \
-	 --with-plapack-dir=$ISSM_TIER/externalpackages/petsc/src/$ISSM_ARCH \
+	 --with-plapack-dir=$ISSM_DIR/externalpackages/petsc/src/$ISSM_ARCH \
 	 --download-parmetis=yes \
 	 --FFLAGS=-I/usr/include \
@@ -66,4 +69,19 @@
 	 --CXXOPTFLAGS=" -O3 -xS" \
 	 --with-pic=1
+	 cat > src/script.queue << EOF
+#PBS -S /bin/bash
+#PBS -q debug 
+#PBS -l select=1:ncpus=1:model=har 
+#PBS -l walltime=200 
+#PBS -W group_list=s1010 
+#PBS -m e 
+. /usr/share/modules/init/bash 
+module load comp-intel/11.1.046 
+module load mpi/mpt.1.25 
+module load math/intel_mkl_64_10.0.011 
+export PATH="$PATH:." 
+export MPI_GROUP_MAX=64 
+mpiexec -np 1 ./conftest-linux-gnu-ia64-intel.py
+EOF
 	echo "== Follow PETSc's instructions"
 fi
Index: issm/trunk/externalpackages/petsc/install-dev-linux64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-dev-linux64.sh	(revision 12331)
+++ issm/trunk/externalpackages/petsc/install-dev-linux64.sh	(revision 12332)
@@ -6,4 +6,5 @@
 	# Adapted from petsc 3.2. 
 	# Used Mercurial to get code
+	rm -rf src
 	hg clone http://petsc.cs.iit.edu/petsc/petsc-dev src
 	cd src
@@ -25,11 +26,12 @@
 
 if [ $STEP -eq 2 ]; then
+	rm -rf install
 	cd src
 	./config/configure.py \
-	--prefix="$ISSM_TIER/externalpackages/petsc/install" \
-	--with-mpi-dir="$ISSM_TIER/externalpackages/mpich2/install" \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir="$ISSM_DIR/externalpackages/mpich2/install" \
 	--with-clanguage=C++ \
 	--PETSC_ARCH=linux-gnu-amd64 \
-	--PETSC_DIR="$ISSM_TIER/externalpackages/petsc/src" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
 	--with-debugging=0 \
 	--with-shared-libraries=0 \
@@ -42,4 +44,5 @@
 	--download-plapack=yes \
 	--download-parmetis=yes \
+	--download-spai=yes \
 	--with-pic=1
 
Index: issm/trunk/externalpackages/polygonclipper/install.sh
===================================================================
--- issm/trunk/externalpackages/polygonclipper/install.sh	(revision 12331)
+++ issm/trunk/externalpackages/polygonclipper/install.sh	(revision 12332)
@@ -3,4 +3,7 @@
 #Some cleanup
 rm -rf install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/PolygonClipper.zip' 'PolygonClipper.zip'
 
 #install
Index: issm/trunk/externalpackages/pyclips/install.sh
===================================================================
--- issm/trunk/externalpackages/pyclips/install.sh	(revision 12332)
+++ issm/trunk/externalpackages/pyclips/install.sh	(revision 12332)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+#Some cleanup
+rm -rf install
+rm -rf pyclips-1.0.7.348
+mkdir install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/pyclips-1.0.7.348.tar.gz' 'pyclips-1.0.7.348.tar.gz'
+
+#Untar 
+tar -zxvf  pyclips-1.0.7.348.tar.gz
+
+#Move pyclips into install directory
+mv pyclips/* install
+rm -rf pyclips
+
+#install
+cd install
+python setup.py build
+sudo python setup.py install
Index: issm/trunk/externalpackages/python/install-linux64-astrid.sh
===================================================================
--- issm/trunk/externalpackages/python/install-linux64-astrid.sh	(revision 12332)
+++ issm/trunk/externalpackages/python/install-linux64-astrid.sh	(revision 12332)
@@ -0,0 +1,43 @@
+#!/bin/bash
+#wget http://python.org/ftp/python/version/Python-version.tgz
+
+#version=3.2.2
+version=2.7.2
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-$version
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-$version.tgz Python-$version.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-$version.tgz
+mv Python-$version/* src
+rm -rf Python-$version
+
+#Configure doxygen
+cd src 
+./configure --prefix="$ISSM_DIR/externalpackages/python/install" 
+
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+#Some modifications to be done in case version is 3.2: 
+if [[ $version == "3.2.2" ]]; then 
+	cd install/bin
+	ln -s python3.2 python 
+	cd ../
+	ln -s Python.framework/Versions/3.2/include/python3.2m include
+	ln -s Python.framework/Versions/3.2/lib/ lib
+
+
+fi
Index: issm/trunk/externalpackages/python/install-macosx-lion.sh
===================================================================
--- issm/trunk/externalpackages/python/install-macosx-lion.sh	(revision 12332)
+++ issm/trunk/externalpackages/python/install-macosx-lion.sh	(revision 12332)
@@ -0,0 +1,42 @@
+#!/bin/bash
+#wget http://python.org/ftp/python/version/Python-version.tgz
+
+#version=3.2.2
+version=2.7.2
+
+#Some cleanup
+rm -rf install src
+rm -rf Python-$version
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py http://issm.jpl.nasa.gov/files/externalpackages/Python-$version.tgz Python-$version.tgz
+
+#exports
+export CC
+
+#Untar and move python into install directory
+tar -zxvf  Python-$version.tgz
+mv Python-$version/* src
+rm -rf Python-$version
+
+#Configure doxygen
+cd src 
+./configure --prefix="$ISSM_DIR/externalpackages/python/install" --enable-framework="$ISSM_DIR/externalpackages/python/install"
+if [ -z $1 ]; then
+	make
+else
+	make -j $1
+fi
+make install
+
+#Some modifications to be done in case version is 3.2: 
+if [[ $version == "3.2.2" ]]; then 
+	cd install/bin
+	ln -s python3.2 python 
+	cd ../
+	ln -s Python.framework/Versions/3.2/include/python3.2m include
+	ln -s Python.framework/Versions/3.2/lib/ lib
+
+
+fi
